Subject: Re: [CCAMP] GMPLS: RFC 3473 RSVP Notify Request Query

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 1 Dec 2010 22:32:10 -0000

Hi Preeti,

You say:

> per our requirement , from the LSP ingress node we intend to signal 
> both the upstream and downstream notify receipt address to the LSP
> intermediate/egress node. 

Perhaps we need to spend some time exposing this requirement?
Why does the ingress need to tell a transit node which are the downstream notify
recipients?

You say in an earlier email that you want to be able to send both the upstream
and downstream notify recipients in the Path message, but you don't say why, or
how this is useful.

> As per the flow specified below, (suppose we have tunnel from Node A to Node
C).
> Node A (Tunnel ingress) sends two notify object in the RSVP path message to
node B .
> One Notify request object specifying the upstream notify receipent address and
the
> another specify downstream notify address.
>
> The address values being sent in notify request is as per rfc 4802 MIB objects
> (gmplsTunnelUpstreamNotifyRecipient, gmplsTunnelSendPathNotifyRecipient). 
 
But please read 4802 more carefully!
The first object...
    "Indicates the address of the upstream recipient for Notify
     messages relating to this tunnel and issued by this LSR.  This
     information is typically received from an upstream LSR in a Path
     message.

The second object...
    "Indicates to a downstream LSR the address to which it should
     send upstream Notify messages relating to this tunnel.

Only the second object is signaled by this LSR.

Cheers,
Adrian